<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Nov 26 12:47:08 NZDT 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PackageMojo (Debian Maven Plugin 1.0.20 API)</title>
<meta name="date" content="2019-11-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PackageMojo (Debian Maven Plugin 1.0.20 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PackageMojo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../net/sf/debianmaven/InstallMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?net/sf/debianmaven/PackageMojo.html" target="_top">Frames</a></li>
<li><a href="PackageMojo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">net.sf.debianmaven</div>
<h2 title="Class PackageMojo" class="title">Class PackageMojo</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.maven.plugin.AbstractMojo</li>
<li>
<ul class="inheritance">
<li><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">net.sf.debianmaven.AbstractDebianMojo</a></li>
<li>
<ul class="inheritance">
<li>net.sf.debianmaven.PackageMojo</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PackageMojo</span>
extends <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></pre>
<div class="block">Generates a Debian package.

 Uses Debian utilities: <a href="http://www.debian.org/doc/manuals/debian-faq/ch-pkgtools.en.html">dpkg-deb</a> and fakeroot.</div>
<dl>
<dt><span class="simpleTagLabel">Goal name of this mojo:</span></dt>
<dd>package</dd>
<dt><span class="simpleTagLabel">Default phase:</span></dt>
<dd>package</dd>
<dt><span class="simpleTagLabel">This goal requires dependencies to be resolved.</span></dt>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;net.sf.debianmaven.<a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></h3>
<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.LogOutput.html" title="class in net.sf.debianmaven">AbstractDebianMojo.LogOutput</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#activeCopyResources">activeCopyResources</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#activeFixPermissions">activeFixPermissions</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#copyResources">copyResources</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#createIncludeFiles">createIncludeFiles</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#createSymLinks">createSymLinks</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#docDirectory">docDirectory</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludeAllArtifacts">excludeAllArtifacts</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludeAllDependencies">excludeAllDependencies</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludeAllJars">excludeAllJars</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludeArtifacts">excludeArtifacts</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex">Pattern</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludeArtifactsPattern">excludeArtifactsPattern</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludeArtifactsRegExp">excludeArtifactsRegExp</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludedScopes">excludedScopes</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#excludeScope">excludeScope</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#fileFiltering">fileFiltering</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#fixPermissions">fixPermissions</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#includeArtifacts">includeArtifacts</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#includeAttachedArtifacts">includeAttachedArtifacts</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#includedScopes">includedScopes</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#includeJar">includeJar</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#includeJars">includeJars</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#includeScope">includeScope</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#libDirectory">libDirectory</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#manDirectory">manDirectory</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#packageDependencies">packageDependencies</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#packageDescription">packageDescription</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#packagePriority">packagePriority</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#packageSection">packageSection</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#packageTitle">packageTitle</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#projectOrganization">projectOrganization</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#projectUrl">projectUrl</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#useDefaultCopyResources">useDefaultCopyResources</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#useDefaultFixPermissions">useDefaultFixPermissions</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;net.sf.debianmaven.<a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></h3>
<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#maintainerEmail">maintainerEmail</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#maintainerName">maintainerName</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#packageArchitecture">packageArchitecture</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#packageName">packageName</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#packageRevision">packageRevision</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#sourceDir">sourceDir</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#stageDir">stageDir</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#targetDir">targetDir</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.maven.plugin.Mojo">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.maven.plugin.Mojo</h3>
<code>ROLE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#PackageMojo--">PackageMojo</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/PackageMojo.html#executeDebMojo--">executeDebMojo</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;net.sf.debianmaven.<a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></h3>
<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#execute--">execute</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#getPackageFile--">getPackageFile</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#getPackageVersion--">getPackageVersion</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#newFile-java.io.File-java.lang.String-">newFile</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#processVersion-java.lang.String-">processVersion</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#processVersion-java.lang.String:A-">processVersion</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#runProcess-java.lang.String:A-boolean-">runProcess</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.maven.plugin.AbstractMojo">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.maven.plugin.AbstractMojo</h3>
<code>getLog, getPluginContext, setLog, setPluginContext</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="packagePriority">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packagePriority</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> packagePriority</pre>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.package.priority}" default-value="optional"</dd>
<dt><span class="simpleTagLabel">Required parameter</span></dt>
</dl>
</li>
</ul>
<a name="packageSection">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packageSection</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> packageSection</pre>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.package.section}" default-value="contrib/utils"</dd>
<dt><span class="simpleTagLabel">Required parameter</span></dt>
</dl>
</li>
</ul>
<a name="packageTitle">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packageTitle</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> packageTitle</pre>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.package.title}" default-value="${project.name}"</dd>
<dt><span class="simpleTagLabel">Required parameter</span></dt>
</dl>
</li>
</ul>
<a name="packageDescription">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packageDescription</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> packageDescription</pre>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.package.description}" default-value="${project.description}"</dd>
<dt><span class="simpleTagLabel">Required parameter</span></dt>
</dl>
</li>
</ul>
<a name="packageDependencies">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packageDependencies</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] packageDependencies</pre>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="projectUrl">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>projectUrl</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> projectUrl</pre>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.project.url}" default-value="${project.organization.url}"</dd>
</dl>
</li>
</ul>
<a name="projectOrganization">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>projectOrganization</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> projectOrganization</pre>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.project.organization}" default-value="${project.organization.name}"</dd>
</dl>
</li>
</ul>
<a name="includeJar">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeJar</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> includeJar</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.include.jar}"</dd>
</dl>
</li>
</ul>
<a name="includeJars">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeJars</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] includeJars</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="excludeAllJars">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeAllJars</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> excludeAllJars</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>expression="${deb.exclude.all-jars}"</dd>
</dl>
</li>
</ul>
<a name="includeArtifacts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeArtifacts</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; includeArtifacts</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.3</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="excludeArtifacts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeArtifacts</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; excludeArtifacts</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.3</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="excludeArtifactsRegExp">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeArtifactsRegExp</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; excludeArtifactsRegExp</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.7</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="excludeArtifactsPattern">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeArtifactsPattern</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex">Pattern</a>&gt; excludeArtifactsPattern</pre>
</li>
</ul>
<a name="excludeAllArtifacts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeAllArtifacts</h4>
<pre>protected&nbsp;boolean excludeAllArtifacts</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.3</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="false"</dd>
</dl>
</li>
</ul>
<a name="excludeAllDependencies">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeAllDependencies</h4>
<pre>protected&nbsp;boolean excludeAllDependencies</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.3</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="false"</dd>
</dl>
</li>
</ul>
<a name="includeAttachedArtifacts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeAttachedArtifacts</h4>
<pre>protected&nbsp;boolean includeAttachedArtifacts</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.3</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="true"</dd>
</dl>
</li>
</ul>
<a name="libDirectory">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>libDirectory</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> libDirectory</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.11</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="/usr/lib/{PKGNAME}"</dd>
</dl>
</li>
</ul>
<a name="docDirectory">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>docDirectory</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> docDirectory</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.11</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="/usr/share/doc/{PKGNAME}"</dd>
</dl>
</li>
</ul>
<a name="manDirectory">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>manDirectory</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> manDirectory</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.11</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="/usr/share/man"</dd>
</dl>
</li>
</ul>
<a name="createSymLinks">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSymLinks</h4>
<pre>protected&nbsp;boolean createSymLinks</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.11</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="true"</dd>
</dl>
</li>
</ul>
<a name="createIncludeFiles">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createIncludeFiles</h4>
<pre>protected&nbsp;boolean createIncludeFiles</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.11</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="true"</dd>
</dl>
</li>
</ul>
<a name="useDefaultFixPermissions">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useDefaultFixPermissions</h4>
<pre>protected&nbsp;boolean useDefaultFixPermissions</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.12</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="false"</dd>
</dl>
</li>
</ul>
<a name="fixPermissions">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixPermissions</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a>&gt; fixPermissions</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.12</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="activeFixPermissions">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activeFixPermissions</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/FixPermission.html" title="class in net.sf.debianmaven">FixPermission</a>&gt; activeFixPermissions</pre>
</li>
</ul>
<a name="useDefaultCopyResources">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useDefaultCopyResources</h4>
<pre>protected&nbsp;boolean useDefaultCopyResources</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.12</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="false"</dd>
</dl>
</li>
</ul>
<a name="copyResources">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyResources</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a>&gt; copyResources</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.12</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="activeCopyResources">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activeCopyResources</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven">CopyResource</a>&gt; activeCopyResources</pre>
</li>
</ul>
<a name="fileFiltering">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileFiltering</h4>
<pre>protected&nbsp;<a href="../../../net/sf/debianmaven/FileFiltering.html" title="class in net.sf.debianmaven">FileFiltering</a> fileFiltering</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.13</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
</dl>
</li>
</ul>
<a name="includeScope">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeScope</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> includeScope</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.19</dd>
<dt><span class="simpleTagLabel">Parameter:</span></dt>
<dd>default-value="compile"</dd>
</dl>
</li>
</ul>
<a name="includedScopes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includedScopes</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; includedScopes</pre>
</li>
</ul>
<a name="excludeScope">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeScope</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> excludeScope</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.19</dd>
</dl>
</li>
</ul>
<a name="excludedScopes">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>excludedScopes</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; excludedScopes</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PackageMojo--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PackageMojo</h4>
<pre>public&nbsp;PackageMojo()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="executeDebMojo--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>executeDebMojo</h4>
<pre>protected&nbsp;void&nbsp;executeDebMojo()
                       throws org.apache.maven.plugin.MojoExecutionException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#executeDebMojo--">executeDebMojo</a></code>&nbsp;in class&nbsp;<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.apache.maven.plugin.MojoExecutionException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PackageMojo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../net/sf/debianmaven/InstallMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../net/sf/debianmaven/RepreproDeployMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?net/sf/debianmaven/PackageMojo.html" target="_top">Frames</a></li>
<li><a href="PackageMojo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2012-2019. All Rights Reserved.</small></p>
</body>
</html>
